(*
    This file is part of the NumericRep project -
    which provides conversion IEEE floats.
    
    Copyright (C) 2000 ANOQ of the Sun (alias Johnny Andersen).
    
    E-mail: anoq@HardcoreProcessing.com

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    As a special exception, if you do not do anything which is not in
    the spirit of the GNU Library General Public License, you are not
    required to physically compile this software into a separate library,
    since this is generally not possible with current Stanard ML compilers.
    However if you do something which is not in the spirit of the
    GNU Library General Public License you will have to follow the
    licence perpetually - thus disallowing you to use it for any
    commercial purposes at all.

    If you are interested in a warranty or commercial support for this
    software, contact Hardcore Processing <sales@HardcoreProcessing.com>
    for more information.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*)

(* Conversion between double precision binary IEEE Floating point
   representation and ML's LargeReal. *)
(* Not implemented *)
functor FIEEEDoubleFloat() :>
          IEEE_FLOAT
            where type binary = Word64.word =
  struct
    type binary = Word64.word
    
    fun toLargeReal binRep =
          (Excn.eRaiseNotImplemented "FIEEEDoubleFloat.toLargeReal is not implemented!";
           LargeReal.fromInt 0)

    fun fromLargeReal value =
          (Excn.eRaiseNotImplemented "FIEEEDoubleFloat.fromLargeReal is not implemented!";
           0w0)
  end

structure IEEEDoubleFloat = FIEEEDoubleFloat()